cf-monitord(8)

NAME
cf-monitord - cfengine's monitoring agent

SYNOPSIS:
 cf-monitord [options]

DESCRIPTION:
The monitoring agent is a machine-learning, sampling daemon which learns the normal state of the current host and classifies new observations in terms of the patterns formed by previous ones. The data are made available to and read by cf-agent for classification of responses to anomalous states. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--help, -h
    Print the help message

--debug, -d
    Set debugging level 0,1,2,3

--verbose, -v
    Output verbose information about the behaviour of the agent

--dry-run, -n
    All talk and no action mode - make no changes, only inform of promises not kept

--version, -V
    Output the version of the software

--no-lock, -K
    Ignore system lock

--file, -f
    Specify an alternative input file than the default

--inform, -I
    Print basic information about changes made to the system, i.e. promises repaired

--diagnostic, -x
    Activate internal diagnostics (developers only)

--no-fork, -F
    Run process in foreground, not as a daemon

--histograms, -H
    Ignored for backward compatibility

--tcpdump, -T
    Interface with tcpdump if available to collect data about network

AUTHOR
Mark Burgess and CFEngine AS

INFORMATION
Bug reports: http://bug.cfengine.com, .pp Community help: http://forum.cfengine.com Community info: http://www.cfengine.com/pages/community Support services: http://www.cfengine.com This software is Copyright (C) 2008-2011 CFEngine AS.